%define module cycler

Name:           python-%{module}
Version:        0.10.0
Release:        %mkrel 2
Summary:        Composable style cycles

License:        BSD
Group:          Development/Python
URL:            https://github.com/matplotlib/cycler
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-six

%description
General purpose library used by matplotlib to cycle through lists for colors, marker styles,
etc.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3-six

%description -n python3-%{module}
General purpose library used by matplotlib to cycle through lists for colors, marker styles,
etc.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%doc LICENSE README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun Apr 03 2022 TerryN <terryn94 at gmail.com> 0.10.0-2pclos2022
- rebuild for python 3.10

* Sun Apr 08 2018 marcin82 <fixxer1982 at gmail.com> 0.10.0-1pclos2018
- initial build for PCLinuxOS
